Package ghidra.features.base.replace.handler

# Class DatatypeCategorySearchAndReplaceHandler

java.lang.Object
ghidra.features.base.replace.SearchAndReplaceHandler
ghidra.features.base.replace.handler.DatatypeCategorySearchAndReplaceHandler

All Implemented Interfaces:
  `ExtensionPoint`

public class DatatypeCategorySearchAndReplaceHandler extends SearchAndReplaceHandler
`SearchAndReplaceHandler` for handling search and replace for datatype category names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatatypeCategorySearchAndReplaceHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `findAll(Program program, SearchAndReplaceQuery query, Accumulator<QuickFix> accumulator, TaskMonitor monitor)`
  Method to perform the search for the pattern and options as specified by the given SearchAndReplaceQuery.

  ### Methods inherited from class ghidra.features.base.replace.SearchAndReplaceHandler

  `addType, getSearchAndReplaceTypes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatatypeCategorySearchAndReplaceHandler

    public DatatypeCategorySearchAndReplaceHandler()

- ## Method Details

  - ### findAll

    public void findAll(Program program, SearchAndReplaceQuery query, Accumulator<QuickFix> accumulator, TaskMonitor monitor) throws CancelledException
    Description copied from class: `SearchAndReplaceHandler`
    Method to perform the search for the pattern and options as specified by the given SearchAndReplaceQuery. As matches are found, appropriate `QuickFix`s are added to the given accumulator.
    Specified by:
      `findAll` in class `SearchAndReplaceHandler`
    Parameters:
      `program` - the program being searched
      `query` - contains the search pattern, replacement pattern, and options related to the query.
      `accumulator` - the accumulator that resulting QuickFix items are added to as they are found.
      `monitor` - a `TaskMonitor` for reporting progress and checking if the search has been cancelled.
    Throws:
      `CancelledException` - thrown if the operation has been cancelled via the taskmonitor